## python-formencode 2.0.1

=== Makefile ===
.PHONY: docs
init:
	pip install -e .
	pip install -r requirements-dev.txt
ci:
	pytest formencode

flake8:
	flake8 --ignore=E501,F401,E128,E402,E731,F821 formencode

coverage:
	pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=formencode formencode

publish:
	pip install 'twine>=1.5.0'
	python setup.py sdist bdist_wheel
	twine upload dist/*
	rm -fr build dist .egg FormEncode.egg-info

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

## python-formencode 1.2.4

=== debian/changelog ===
python-formencode (1.2.4-2) unstable; urgency=low

  * Add `set -e` to build loop (closes: #606620)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 21:12:33 +0200

python-formencode (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Remove i18n directory from site-packages
  * python2.{3,4}-formencode Conflicts/Replaces dropped
  * Convert from dh_pysupport to dh_python2
  * Change source format to 3.0 (quilt)
  * Standards-version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Apr 2011 23:33:35 +0200

python-formencode (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Convert to python-support
  * Add debian/preinst to clean after python-central (Closes: #518490)
  * Remove Section from binary staza
  * Remove dh_python call from debian/rules

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Mar 2009 22:56:44 +0100

python-formencode (1.2.1-2) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Feb 2009 21:04:26 +0100

python-formencode (1.2.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Add "${misc:Depends}" to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Dec 2008 21:06:26 +0100

python-formencode (1.2-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Install .mo files in /usr/share/locale directory
  * Add myself to Uploaders

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Nov 2008 19:24:20 +0100

python-formencode (1.1-1) experimental; urgency=low
  
  [ Carlos Galisteo ]
  * debian/control:
    - Added Homepage field.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * DH_PYCENTRAL=nomove removed from debian/rules
  * Add python-pkg-resources to Depends
  * Add python-egenix-mxdatetime to Suggests
  * Replace python-elementtree dependency with:
    python (>= 2.5) | python-elementtree
  * Remove .py[co] files in clean rule
  * Standards-version bumped to 3.8.0 (new Homepage field, see above)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 06 Nov 2008 19:29:50 +0100

python-formencode (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Mar 2008 06:25:38 +0100

python-formencode (1.0-1) unstable; urgency=low

  [ Fabio Tranchitella ]
  * New upstream release.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Dec 2007 11:10:26 +0100

python-formencode (0.9-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Dec 2007 11:03:13 +0100

python-formencode (0.7.1-2) unstable; urgency=low

  * debian/control: depends on python-elementtree. (Closes: #424659)
  * debian/rules: install missing i18n files. (Closes: #422927)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 24 Jun 2007 12:17:51 +0200

python-formencode (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun,  1 Apr 2007 19:59:25 +0200

python-formencode (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 21 Feb 2007 09:45:00 +0100

python-formencode (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/email_validator.dpatch: removed, applied upstream.

 -- Fabio Tranchitella <kobold@debian.org>  Tue,  5 Dec 2006 14:36:32 +0100

python-formencode (0.5.1-4) unstable; urgency=low

  * debian/patches/email_validator.dpatch: exception not catched, applied
    patch from Arnaud Fontaine <arnaud@andesi.org>, applied upstream in r1828.
    (Closes: #378459)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 19 Jul 2006 20:53:08 +0200

python-formencode (0.5.1-3) unstable; urgency=low

  * debian/control: depends on python-dns. (Closes: #377025)
  * debian/control: removed "[dummy package]" from short description.
    (Closes: #377031)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 14 Jul 2006 11:55:44 +0200

python-formencode (0.5.1-2) unstable; urgency=low

  * debian/control: conflicts/replaces for both python2.[34]-formencode.
    (Closes: #373917)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 16 Jun 2006 12:49:08 +0200

python-formencode (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #372616)
  * Python policy transition. (Closes: #373534)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 15 Jun 2006 18:44:05 +0200

python-formencode (0.4-6) unstable; urgency=low

  * debian/rules, setup.py: modified to use python-support to
    install the egg support, thanks to Gustavo Noronha Silva.
    (Closes: #365957)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 30 May 2006 21:46:38 +0200

python-formencode (0.4-5) unstable; urgency=low

  * Removed sqlformgen.py and formgen.py from the python2.3 package,
    that code is 2.4-only and experimental. (Closes: #360550)

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  7 Apr 2006 08:11:33 +0000

python-formencode (0.4-4) unstable; urgency=low

  * First official release for debian. (Closes: #338382, #354916)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 17 Jan 2006 17:06:31 +0000

python-formencode (0.4-3) unstable; urgency=low

  * The future of python is .egg deployment, so putting back the .egg, you
    can follow all the details in the mailing lists.

 -- Robert J. Tanner <tanner@real-time.com>  Mon, 21 Nov 2005 18:51:35 -0600

python-formencode (0.4-2) unstable; urgency=low

  * Fixed grave python-policy violations. Thanks Matthias


=== debian/control ===
Source: python-formencode
Section: python
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3), python-setuptools (>= 0.6a9)
Maintainer: Fabio Tranchitella <kobold@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Piotr Ożarowski <piotr@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-formencode/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-formencode/trunk/
Homepage: http://formencode.org

Package: python-formencode
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dns, python-pkg-resources,
 python (>= 2.5) | python-elementtree
Suggests: python-egenix-mxdatetime
Description: validation and form generation Python package
 FormEncode is a validation and form generation package. The validation can 
 be used separately from the form generation. The validation works on compound 
 data structures, with all parts being nestable. It is separate from HTTP or 
 any other input mechanism.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PYVERS=$(shell pyversions -r debian/control)
include /usr/share/python/python.mk

build: build-stamp
build-stamp:
	dh_testdir
	set -e; for python in $(PYVERS); \
	    do $$python setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	for python in $(PYVERS); \
	    do $$python setup.py clean; \
	done
	rm -rf build-stamp build
	rm -rf FormEncode.egg-info
	find . -name '*\.py[co]' -delete
	dh_clean

install: build $(PYVERS:%=install-%)
	dh_testdir
	dh_testroot
	dh_installdirs

install-python%:
	python$* setup.py install $(py_setup_install_args) \
		--skip-build --single-version-externally-managed \
		--root debian/python-formencode
	rm -rf debian/python-formencode/$(call py_libdir,$*)/formencode/i18n
	dh_install -X.po -X.py formencode/i18n/* /usr/share/locale/

# Build architecture-dependent files here.
binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -ppython-formencode
	dh_installdocs -i docs/*.txt
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary

=== debian/watch ===
version=3
http://cheeseshop.python.org/packages/source/F/FormEncode/FormEncode-(.*)\.tar\.gz debian uupdate

## python-formencode 1.2.6

=== debian/changelog ===
python-formencode (1.2.6-1ubuntu1) trusty; urgency=medium

  * Remove tests that fail without network connection. See #738722.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 12:54:57 +0100

python-formencode (1.2.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release (closes: #727229)
    - works fine with Python 2.7, tested also with tests from github repo
      (closes: #606521)
  * Rewrite debian/rules to use pybuild, dh-python added to Build-Depends
  * debhelper's compat level changed to 9
  * python-nose, python-dns and python-pycountry added to Build-Depends
    (used in tests which are run at build time now, closes: #606518)
  * debian/watch file updated (closes: #727230)
  * Standards-version bumped to 3.9.5 (dh sequencer covers build-* targets)
  * Remove debian/pycompat and preinst files, no longer needed

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Dec 2013 20:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: python-formencode
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3), python-setuptools (>= 0.6a9)
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3), python-setuptools (>= 0.6a9),
+# used in tests:
+ python-nose, python-pycountry, python-dns
 Maintainer: Fabio Tranchitella <kobold@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Piotr Ożarowski <piotr@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-formencode/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-formencode/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-formencode/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-formencode/trunk/
 Homepage: http://formencode.org
 
 Package: python-formencode

=== debian/rules ===
#! /usr/bin/make -f
export PYBUILD_NAME=formencode
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	find debian/python-formencode/ -type d -name i18n -print0 | xargs --null --no-run-if-empty rm -rf
	dh_install -X.po -X.py formencode/i18n/* /usr/share/locale/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
http://pypi.python.org/packages/source/F/FormEncode/FormEncode-(.*)\.(?:tar\.gz|zip)

## python-formencode 1.3.0

=== debian/changelog ===
python-formencode (1.3.0-0ubuntu5) xenial; urgency=medium

  * Restore dropped rule.

 -- LaMont Jones <lamont@canonical.com>  Wed, 20 Apr 2016 10:08:39 -0600

python-formencode (1.3.0-0ubuntu4) xenial; urgency=medium

  * Properly deliver formencode-i18n files.  LP:# 1569035

 -- LaMont Jones <lamont@canonical.com>  Wed, 20 Apr 2016 09:44:29 -0600

python-formencode (1.3.0-0ubuntu3) xenial; urgency=medium

  * Drop overly aggressive TLD regex, since admins frequently define their
    own. LP: #1569077

 -- LaMont Jones <lamont@canonical.com>  Mon, 11 Apr 2016 17:14:17 -0600

python-formencode (1.3.0-0ubuntu2) xenial; urgency=medium

  * debian/control: Depends on python-dnspython instead of python-dns.
    The code requires python-dnspython and not python-dns.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Feb 2016 09:11:02 -0500

python-formencode (1.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Build with python3
  * debian/watch: update.
  * debian/patches/ubuntu-disable-tests.diff: Disable some tests to allow
    formencode to build

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 06 Nov 2015 18:00:32 +0000

python-formencode (1.2.6-2) unstable; urgency=medium

  * Team upload

  [ Scott Kitterman ]
  * Add debian/patches/dns_test_disable.diff to disable tests that require DNS
    access to run (Closes: #738722)
    - Thanks to Andrey Rahmatullin for the patch
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 28 Sep 2014 19:01:14 -0400

=== debian/control ===
Source: python-formencode
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3), python-setuptools (>= 0.6a9),
 python3-all, python3-setuptools,
# used in tests:
 python-nose, python-pycountry, python-dnspython,
 python3-nose, python3-pycountry, python3-dnspython
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fabio Tranchitella <kobold@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Piotr Ożarowski <piotr@debian.org>
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-formencode/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-formencode/trunk/
Homepage: http://formencode.org

Package: python-formencode
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dnspython, python-pkg-resources,
 python (>= 2.5) | python-elementtree, formencode-i18n
Suggests: python-egenix-mxdatetime
Description: validation and form generation Python package
 FormEncode is a validation and form generation package. The validation can 
 be used separately from the form generation. The validation works on compound 
 data structures, with all parts being nestable. It is separate from HTTP or 
 any other input mechanism.

Package: python3-formencode
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dnspython, python3-pkg-resources,
 python3 | python3-elementtree, formencode-i18n
Suggests: python3-egenix-mxdatetime
Description: validation and form generation Python package (Python 3)
 FormEncode is a validation and form generation package. The validation can 
 be used separately from the form generation. The validation works on compound 
 data structures, with all parts being nestable. It is separate from HTTP or 
 any other input mechanism.

Package: formencode-i18n
Architecture: all
Depends: ${misc:Depends}
Description: common locale data and translations for Python FormEncode
 FormEncode is a validation and form generation package. The validation can 
 be used separately from the form generation. The validation works on compound 
 data structures, with all parts being nestable. It is separate from HTTP or 
 any other input mechanism.

=== debian/rules ===
#! /usr/bin/make -f
export PYBUILD_NAME=formencode
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	find debian/python-formencode/ -type d -name i18n -print0 | xargs --null --no-run-if-empty rm -rf
	find debian/python3-formencode/ -type d -name i18n -print0 | xargs --null --no-run-if-empty rm -rf
	find debian/python*formencode -type d -name docs -print0 | xargs --null --no-run-if-empty rm -rf
	dh_install -X.po -X.py --sourcedir=formencode/i18n . usr/share/locale/ -pformencode-i18n

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/FormEncode/FormEncode-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-formencode 2.0.0

=== debian/changelog ===
python-formencode (2.0.0-2) unstable; urgency=low

  [ Neil Muller ]
  * Tweak 0004-Drop-setuptools_scm_git_archive-requirement-from-set.patch
    so egg-info is generated correctly.
  * Add dependency on python3-setuptools-scm.
  * Add autopkgtests to test setuptools dependency resolution works with
    the installed package.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Jan 2021 10:52:01 +0100

python-formencode (2.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Neil Muller ]
  * Update to latest upstream release.
  * Drop patches that are no longer needed
    (0003-Fix-a-collection-of-errors-from-msgfmt.patch,
     0005-Use-alpha_2-over-alpha2-for-compatibility-with-newer-.patch,
     0006-Silence-resource_file-DeprecationWarning.patch and
     0007-Fix-invalid-escape-sequence-DeprecationWarnings.patch).
  * Add PYBUILD_TEST_BEFORE function to fix issues with data files
    required to run the tests.
  * Add dependency of python3-six.
  * Add new patch to remove upstream's requirement on
    'setuptools_scm_git_archive'
    (0004-Drop-setuptools_scm_git_archive-requirement-from-set.patch).
  * Add new patch to prevent the additional installation of the license
    file 0005-Remove-LICENSE.txt-from-the-list-of-installed-files.patch
  * Update watch file version.
  * Don't install tests and test_data in the package anymore.
  * Bump Standards-Version to 4.5.1.0 (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Wed, 16 Dec 2020 10:26:37 +0200

python-formencode (1.3.1-1) unstable; urgency=medium

  [ Neil Muller ]
  * Update to 1.3.1 release.
  * Add patches to fix Python 3.8 DeprecationWarnings
    (0006-Silence-resource_file-DeprecationWarning.patch and
     0007-Fix-invalid-escape-sequence-DeprecationWarnings.patch).
  * Re-enable pycountry tests, since the python2 removal that
    needed those disabled has happened.
  * Bump Standards-Version to 4.5.0 (no further changes needed).

  [ Sergio Durigan Junior ]
  * d/control: Bump debhelper-compat to 13.
  * Tag both new patches as Forwarded.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 22 Aug 2020 17:50:09 +0200

python-formencode (1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937764

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2020 20:00:46 -0500

python-formencode (1.3.0-5) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks/Replaces for having moved l10n files around
    (Closes: #945966).

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Dec 2019 13:36:17 +1100

python-formencode (1.3.0-4) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Stuart Prescott ]
  * Disable tests that use python-pycountry.
  * Remove python-pycountry from Build-Depends (Closes: #944034).
  * Enable tests with Python 3.
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat 12.
  * Fix installation locations for the Python 3 module package:
    - Don't accidentally create /usr/lib/python3/dist-packages/docs/ directory
    - Remove stray installation of declarative.py
    - Install translations to /usr/share/locale; move translations for the
      Python 2 package to /usr/lib/python2.7/dist-packages/formencode/i18n
      (upstream location) to save splitting them into a separate package.
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 12:04:05 +1100

python-formencode (1.3.0-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Move from git-dpm -> gbp.
  * Use "alpha_2" over "alpha2" for compatibility with newer versions of
    pycountry. (Closes: #880247)
  * wrap-and-sort -sa.
  * Bump Standards-Version to 4.1.5.
  * Install examples.
  * Move to debhelper compat level 11.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Aug 2018 22:42:30 +0800

python-formencode (1.3.0-2) unstable; urgency=medium

  * Add myself to Uploaders field.
  * Don't ship files in /usr/lib/python{2.7,3}/dist-packages/docs.
    (Closes: #860146)

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Apr 2017 09:11:53 +0100

python-formencode (1.3.0-1) unstable; urgency=low

  [ Neil Muller]
  * New upstream release.
  * Add recent fixes from upstream to fix syntax errors in the *.po
    files.
  * Reformat copyright to the machine readable format.
    - Update some stale information.
  * Add myself to Uploaders.
  * Bump standards version to 3.9.8 (No further changes needed).
  * Tweak packages descriptions.
  * Add debian/0004-Remove-test_email-dns-tests.patch to disable new
    tests which require dns.

  [ Piotr Ożarowski ]
  * Bump minimum required Python version to 2.6
  * Add python3-formencode binary package
  * Replace python-dns with python-dnspython dependency
  * Add disable_pkg_resources_in_tests patch - this makes it possible to run
    tests after build (and is useless anyway)

  [ Stefano Rivera ]
  * Refresh patches.
  * Move from SVN to Git, update Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Neil Muller <drnlmuller+debian@gmail.com>  Fri, 17 Jun 2016 22:47:57 +0000

=== debian/control ===
Source: python-formencode
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-dnspython <!nocheck>,
 python3-pycountry <!nocheck>,
 python3-nose <!nocheck>,
 python3-six,
 python3-setuptools,
 python3-setuptools-scm,
Maintainer: Fabio Tranchitella <kobold@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Neil Muller <drnlmuller+debian@gmail.com>,
 Chris Lamb <lamby@debian.org>,
Standards-Version: 4.5.1.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-formencode.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-formencode
Homepage: http://formencode.org
Rules-Requires-Root: no

Package: python3-formencode
Architecture: all
Depends:
 python3-dnspython,
 python3-pkg-resources,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Breaks: python-formencode (<< 1.3.0-4)
Replaces: python-formencode (<< 1.3.0-4)
Description: validation and form generation Python 3 package
 FormEncode is a validation and form generation package. The validation can
 be used separately from the form generation. The validation works on compound
 data structures, with all parts being nestable. It is separate from HTTP or
 any other input mechanism.
 .
 This package contains the Python 3 version of FormEncode.

=== debian/rules ===
#! /usr/bin/make -f
export PYBUILD_NAME=formencode
export DH_ALWAYS_EXCLUDE=tests

# We need to have extra data files and the i18n files in place
# for the tests, but pybuild.testfiles doesn't preserve the directory
# structure we need - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=947800
# So we kludge around it here
define PYBUILD_BEFORE_TEST
	cp {dir}/formencode/tests/non_empty.txt {build_dir}/formencode/tests/
	cp -r {dir}/formencode/tests/htmlfill_data {build_dir}/formencode/tests/
	cp -r {dir}/formencode/i18n {build_dir}/formencode/
endef
export PYBUILD_BEFORE_TEST

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	dh_install -X.po -X.py -ppython3-formencode formencode/i18n/* /usr/share/locale/
	find debian/python3-formencode/ -type d \( -name i18n -or -name docs \) -print0 | xargs --null --no-run-if-empty rm -rf

override_dh_auto_test:
	# network is required for the http://this.domain.does.not.exist.example.org/test.html test
	http_proxy='' dh_auto_test --buildsystem=pybuild -- --test-nose

=== debian/tests/control ===
Tests: testfe
Depends: python3-formencode

Tests: testfe-setuptools
Depends: python3-formencode, python3-setuptools

## python-formencode 2.0.1

=== debian/changelog ===
python-formencode (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Use virtualenvs in testfe-setuptools autopgktest, fixing a regression now
    that pip refuses --user installs. (Closes: #1031757)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Feb 2023 16:31:00 -0400

python-formencode (2.0.1-1) unstable; urgency=low

  [ Neil Muller ]
  * Update to latest upstream release.
    - Adds support for Python 3.9 and 3.10 (Closes: #997347).
  * Switch to using pytest to match upstream changes.
  * Update autopkgtests to test against all installed python3 versions.
  * List various *.po files which are licensed LGPL2 in the copyright file.
  * Add '.egg-info' to clean list so package can build twice in a row.
  * Bump standards version (no further changes needed).

  [ Jeroen Ploemen ]
  * Rules: set LC_ALL and LANGUAGE for dh_auto_test to make the build
    reproducible.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 04 Dec 2021 17:49:38 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python3-all,
  python3-dnspython <!nocheck>,
  python3-pycountry <!nocheck>,
- python3-nose <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-six,
  python3-setuptools,
  python3-setuptools-scm,
@@ -17,7 +17,7 @@
  Piotr Ożarowski <piotr@debian.org>,
  Neil Muller <drnlmuller+debian@gmail.com>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-formencode.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-formencode
 Homepage: http://formencode.org

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 
 override_dh_auto_test:
 	# network is required for the http://this.domain.does.not.exist.example.org/test.html test
-	http_proxy='' dh_auto_test --buildsystem=pybuild -- --test-nose
+	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 http_proxy='' dh_auto_test --buildsystem=pybuild -- --test-pytest

## python-formencode 2.1.0

=== debian/changelog ===
python-formencode (2.1.0-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 06 Oct 2024 12:17:41 +0000

python-formencode (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * remove depency on python3-six
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 May 2024 16:39:15 +0200

python-formencode (2.1.0-1) unstable; urgency=low

  * New upstream version (Closes: #1066751).
  * Add pybuild-plugin-pyproject build dependency since upstream has moved
    away from a pure setuptools build.
  * Refresh patches and drop no longer relevant patches.
    - Dropped 0004-Drop-setuptools_scm_git_archive-requirement-from-set.patch
      and 0005-Remove-LICENSE.txt-from-the-list-of-installed-files.patch .
    - Renamed 0002-disable_pkg_resources_in_tests.patch to
      0002-Remove-checks-for-installed-formencode-from-the-test.patch to
      better reflect its function.
  * Fixed incorrect license shortnames in debian/copyright.
  * Remove PYBUILD_BEFORE_TEST workaround, as it's no longer needed.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 16 Apr 2024 10:39:41 +0200

python-formencode (2.0.1-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 26 Feb 2023 06:21:51 +0000

python-formencode (2.0.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 15:20:35 -0800

python-formencode (2.0.0-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Jan 2021 14:21:14 -0800

python-formencode (2.0.0-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 17:49:16 -0800

python-formencode (1.3.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077
  * Dropped changes, no longer needed:
    - d/python-formencode.examples: Dropped as the current Ubuntu package
      doesn't have the upstream examples/ directory.
    - d/p/*: Handle CRLF differences in patches as the Ubuntu package's
      upstream source contains CRLFs.
    - d/p/ubuntu-disable-tests.diff: Disable some tests to allow formencode
      to build.
    - d/watch: Update to use pypi.debian.net.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Oct 2020 00:24:55 -0700

python-formencode (1.3.0-6ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077
    - d/p/ubuntu-disable-tests.diff: Disable some tests to allow formencode
      to build.
    - d/p/*: Handle CRLF differences in patches as the Ubuntu package's
      upstream source contains CRLFs.
    - d/watch: Update to use pypi.debian.net.
    - d/python-formencode.examples: Dropped as the current Ubuntu package
      doesn't have the upstream examples/ directory.
  * Dropped changes, included in Debian:
    - Disable tests that use python-pycountry.
    - Remove python-pycountry from Build-Depends (Closes: #944034).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 May 2020 17:15:45 -0700

python-formencode (1.3.0-3ubuntu3) focal; urgency=medium

  [ Stuart Prescott ]
  * Disable tests that use python-pycountry.
  * Remove python-pycountry from Build-Depends (Closes: #944034).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Jan 2020 14:09:34 -0500

python-formencode (1.3.0-3ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 13:59:04 +0100

python-formencode (1.3.0-3ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own. LP: #1569077
    - d/p/ubuntu-disable-tests.diff: Disable some tests to allow formencode
      to build.
    - d/p/*: Handle CRLF differences in patches as the Ubuntu package's
      upstream source contains CRLFs.
    - d/python-formencode.examples: Dropped as the current Ubuntu package
      doesn't have the upstream examples/ directory.
    - d/watch: Update to use pypi.debian.net.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Apr 2019 16:00:12 -0400

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-dnspython <!nocheck>,
  python3-pycountry <!nocheck>,
  python3-pytest <!nocheck>,
- python3-six,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-setuptools-scm,
-Maintainer: Fabio Tranchitella <kobold@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fabio Tranchitella <kobold@debian.org>
 Uploaders:
  Debian Python Team <team+python@tracker.debian.org>,
  Piotr Ożarowski <piotr@debian.org>,
@@ -28,7 +29,6 @@
 Depends:
  python3-dnspython,
  python3-pkg-resources,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Breaks: python-formencode (<< 1.3.0-4)

## python-formencode 2.1.1

=== Makefile ===
init:
	pip install -e .
	pip install -r requirements-test.txt

.PHONY: tests

tests:
	pytest tests

flake8:
	flake8 src tests

coverage:
	pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=formencode formencode

.PHONY: docs

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

=== debian/changelog ===
python-formencode (2.1.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 21:47:19 -0600

python-formencode (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Feb 2025 10:48:57 +0000

python-formencode (2.1.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + d/p/fix-tld-regex.diff: Drop overly aggressive TLD regex, since admins
      frequently define their own

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 11 Dec 2024 20:38:59 +0000

python-formencode (2.1.0-4) unstable; urgency=medium

  * Team upload.
  * debian/tests/testfe-setuptools: Use `virtualenv --system-site-packages`
    (closes: #1087906).

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Nov 2024 10:16:23 +0100

python-formencode (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Protect `import cgi` (closes: #1082213).
  * Remove now-unused dependency on python3-pkg-resources (closes:
    #1083639).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 14:05:25 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Architecture: all
 Depends:
  python3-dnspython,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Breaks: python-formencode (<< 1.3.0-4)

=== debian/rules ===
#! /usr/bin/make -f
export PYBUILD_NAME=formencode
export DH_ALWAYS_EXCLUDE=tests
export PYBUILD_TEST_ARGS="{dir}"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	dh_install -X.po -X.py -ppython3-formencode src/formencode/i18n/* /usr/share/locale/
	find debian/python3-formencode/ -type d \( -name i18n -or -name docs \) -print0 | xargs --null --no-run-if-empty rm -rf

override_dh_auto_test:
	# network is required for the http://this.domain.does.not.exist.example.org/test.html test
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 http_proxy='' dh_auto_test --buildsystem=pybuild -- --test-pytest
